Skip to content

Get the signed-in profile’s line on the Ethos curators board

GET
/external/curators/me
curl --request GET \
--url https://api.ethos.network/api/v2/external/curators/me \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Successful response

Media typeapplication/json
Any of:
object
avatarUrl
required
string | null
name
required
string
points
required
number
rank
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
username
required
string
clicks
required
integer
>= -9007199254740991 <= 9007199254740991
credibleReplies
required
integer
>= -9007199254740991 <= 9007199254740991
posts
required
integer
>= -9007199254740991 <= 9007199254740991

Example generated

{
"avatarUrl": "example",
"name": "example",
"points": 1,
"rank": 1,
"username": "example",
"clicks": 1,
"credibleReplies": 1,
"posts": 1
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}